#
# spec file for package python-jsonpointer
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-jsonpointer
Version:        1.9
Release:        5.5
Summary:        Identify specific nodes in a JSON document (according to draft 08)
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/stefankoegl/python-json-pointer
Source:         http://pypi.python.org/packages/source/j/jsonpointer/jsonpointer-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires(post):   update-alternatives
Requires(postun): update-alternatives
Requires(pre):    coreutils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Identify specific nodes in a JSON document (according to draft 08)

%prep
%setup -q -n jsonpointer-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
mv %{buildroot}%{_bindir}/jsonpointer %{buildroot}%{_bindir}/jsonpointer-%{py_ver}
ln -s %{_bindir}/jsonpointer-%{py_ver} %{buildroot}%{_bindir}/jsonpointer

%pre
[ -h %{_bindir}/jsonpointer ] || rm -f %{_bindir}/jsonpointer

%post
update-alternatives --install \
    %{_bindir}/jsonpointer jsonpointer %{_bindir}/jsonpointer-%{py_ver} 20

%preun
if [ $1 -eq 0 ] ; then
    update-alternatives --remove jsonpointer %{_bindir}/jsonpointer-%{py_ver}
fi

%files
%defattr(-,root,root,-)
%ghost %{_bindir}/jsonpointer
%{_bindir}/jsonpointer-%{py_ver}
%{python_sitelib}/*

%changelog
* Mon Jun 22 2015 tbechtold@suse.com
- update to 1.9:
  * bump version to 1.9
  * bump version to 1.8
  * Fix Tests for Python 3.2
  * Fix UnicodeEncodeError with non-ASCII paths, fixes #18
  * Enable container-based builds on Travis-CI
* Wed Feb  4 2015 tbechtold@suse.com
- update to version 1.7:
  * bump version to 1.7
  * Fix ``jsonpointer`` commandline utility (#14)
  * bump version to 1.6
  * Fix contains unexpected false return
  * bump version to 1.5
  * Use ABCs instead of list/dict
  * Convert readme from markdown to rst for PyPI
  * Add support for Python 3.4, pypy3, use travis_retry
  * Add dependencies for creating wheels
- Requires(pre) coreutils to have "rm" command available (bnc#916277)
* Sat Nov  8 2014 Led <ledest@gmail.com>
- fix bashism in pre script
* Mon Sep 15 2014 tbechtold@suse.com
- update to version 1.4:
  * bump version to 1.4
  * [Setup] use utf-8 explicitly in setup.py, fixes #8
  * Merge pull request #7 from alexsdutton/patch-1
  * Calculate path properly when self.parts == [].
  * Added tests for round-tripping pointers from paths to parts
  * JsonPointer.from_parts should handle the empty path
  * fix doctest for Python 3
  * bump version to 1.3
  * add JsonPointer.path and JsonPointer.from_parts
  * bump version to 1.2
  * add trove classifiers (fixes #6)
  * fix string formatting in assert statement
  * fix typo in setup.py
  * add links to README.md
  * add MANIFEST.in
  * add comments to commandline doc
  * add "jsonpointer" commandline utility
  * add missing AUTHORS
  * Support for set_pointer and indexing arbitrary objects via __getitem__/__setitem__
  * refactor type check
  * add tests for JsonPointer.to_last()
  * remove unused param of to_last()
  * add test for out-of-bounds error
  * add test for JsonPointer.contains(other)
  * add test for invalid list index
  * add test for pointer string not starting with /
  * add test for comparing a pointer to another object
  * show pypi information in README
  * show coverage status in README
  * remove some code from coverage calculation
  * move coverage code from tests.py to makefile
  * add coveralls support to .travis.yml
  * add doctests for pairwise(iter)
  * mention supported Python versions in docs
  * Drop support for Python 2.5
  * also target Python 3.3 and PyPy
  * fix unicode literal quirks in Python 3.2
  * let sphinx extract version, author from source
  * README: add link to docs
  * add some documentation
  * ignore *.swp and files generated during packaging
- Install /usr/bin/jsonpointer with update-alternatives
* Mon Apr 29 2013 dmueller@suse.com
- update to 1.0:
  * no changes
* Fri Feb 22 2013 saschpe@suse.de
- Initial version
